### Method

# Gtk Widget activate

#### Declaration [src]

    gboolean
    gtk_widget_activate (
      GtkWidget* widget
    )

#### Description [src]

Activates the widget.

The activation will emit the signal set using `gtk_widget_class_set_activate_signal()` during class initialization.

Activation is what happens when you press `Enter` on a widget.

If you wish to handle the activation keybinding yourself, it is recommended to use `gtk_widget_class_add_shortcut()` with an action created with `gtk_signal_action_new()`.

If `widget` is not activatable, the function returns false.

#### Return value

Type: `gboolean`

True if the widget was activated.